<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Add Payment Type</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal" autocomplete="off" (ngSubmit)="addPaymentType(f)" #f="ngForm">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Payment type<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Payment type" name="payment_type"
                                #payment_type="ngModel" [(ngModel)]="paymentTypeModel.payment_type" required>
                                <mat-option value="Credit card (POS)">Credit card (POS) </mat-option>
                                <mat-option value="Cash">Cash </mat-option>
                                <mat-option value="Account">On account</mat-option>
                                <mat-option value="Card">Card</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="payment_type.errors && (payment_type.dirty || payment_type.touched || f.submitted)">
                                <div [hidden]="!payment_type.errors.required">Payment type is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Visible in<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Visible in" name="available_for"
                                #available_for="ngModel" [(ngModel)]="paymentTypeModel.available_for" required>
                                <mat-option value="0">Driver app</mat-option>
                                <mat-option value="1">Customer app</mat-option>
                                <mat-option value="2">Both</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="available_for.errors && (available_for.dirty || available_for.touched || f.submitted)">
                                <div [hidden]="!available_for.errors.required">Visible to is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Is default payment<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Is default payment" name="is_default_payment"
                                #is_default_payment="ngModel" [(ngModel)]="paymentTypeModel.is_default_payment"
                                required>
                                <mat-option value="1">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="is_default_payment.errors && (is_default_payment.dirty || is_default_payment.touched || f.submitted)">
                                <div [hidden]="!is_default_payment.errors.required">Is default payment is required.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save
                            </button>
                            <button class="btn btn-white" type="button"
                                [routerLink]="['/admin/administration/payment-type']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>